Bug 188810 - CVE-2006-0748 Table Rebuilding Code Execution Vulnerability
CVE-2006-0748 Table Rebuilding Code Execution Vulnerability
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: mozilla (Show other bugs)
4.0
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
reported=20060412,source=mozilla,emba...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-12 22:36 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0329
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-25 10:05:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-04-12 22:36:38 EDT
Table Rebuilding Code Execution Vulnerability


TippingPoint  and  the Zero Day Initiative reports that an invalid and
non-sensical ordering of table-related tags causes Mozilla to use a negative
array index. This invalid memory use can be exploited to run code of the
attacker's choice.

Workaround

Upgrade to fixed version.

Although JavaScript is not involved in the vulnerability itself, disabling
JavaScript may prevent an attacker from effectively preparing memory in
order to carry out the exploit.

References

[1]ZDI-06-010
[2]https://bugzilla.mozilla.org/show_bug.cgi?id=328937
CVE-2006-0478


This issue also affects RHEL3
This issue also affects RHEL2.1
Comment 1 Josh Bressers 2006-04-24 08:48:32 EDT
Lifting embargo
Comment 2 Red Hat Bugzilla 2006-04-25 10:05:47 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0329.html

Note You need to log in before you can comment on or make changes to this bug.